%define _realname livehttpheaders
%define _chromedir %_libdir/mozilla/chrome

Name: mozilla-addon-livehttpheaders
Version: 0.8
Release: alt1
Summary: Addon to access HTTP headers in Mozilla
License: GPL
URL: http://livehttpheaders.mozdev.org/
Group: Networking/WWW
Packager: Victor Forsyuk <force@altlinux.ru>
Source0: http://downloads.mozdev.org/livehttpheaders/livehttpheaders-%version.xpi
Source1: installed-chrome-%_realname.txt
BuildArch: noarch
BuildRequires: unzip
Requires: mozilla >= 1.4-alt5

%description
The goal of this project is to adds information about the HTTP headers
in two ways:

* First by adding a 'Headers' tab in 'View Page Info' of a web page.

* Second by adding a tool in the 'Tools->Web Development' menu to
  be able to display HTTP headers in real time (while pages are being
  downloaded from the Internet.

* Third by letting you edit request headers and replay an URL (beta).
  Look for the Replay button in the live window!

%prep

%install
install -d $RPM_BUILD_ROOT%_chromedir/icons/default
install -d $RPM_BUILD_ROOT%_libdir/mozilla/components
unzip %{SOURCE0} -d $RPM_BUILD_ROOT%_chromedir
mv $RPM_BUILD_ROOT%_chromedir/nsHeaderInfo.js $RPM_BUILD_ROOT%_libdir/mozilla/components
rm -f $RPM_BUILD_ROOT%_chromedir/*.{js,txt}
install -m644 %_sourcedir/installed-chrome-%_realname.txt $RPM_BUILD_ROOT%_chromedir

mv $RPM_BUILD_ROOT%_chromedir/*.{xpm,ico} $RPM_BUILD_ROOT%_chromedir/icons/default

%files
%_chromedir/*.jar
%_chromedir/installed-chrome-%_realname.txt
%_chromedir/icons/default/*
%_libdir/mozilla/components/*

%post
umask 022
cat %_chromedir/installed-chrome-*.txt >%_chromedir/installed-chrome.txt
%_libdir/mozilla/rebuild-databases.sh

%postun
umask 022
cat %_chromedir/installed-chrome-*.txt >%_chromedir/installed-chrome.txt
%_libdir/mozilla/rebuild-databases.sh

%changelog
* Thu May 20 2004 Victor Forsyuk <force@altlinux.ru> 0.8-alt1
- Initial build for Sisyphus.
